- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MinCPUSpeed Class Reference

the MinCPUSpeed class. More...

`#include <OSOption.h>`

Collaboration diagram for MinCPUSpeed:

[legend]
List of all members.

## Public Member Functions
| MinCPUSpeed ()
| Default constructor.
| ~MinCPUSpeed ()
| Class destructor.
bool | IsEqual (MinCPUSpeed *that)
| A function to check for the equality of two objects.
## Public Attributes
std::string | unit
| the unit in which CPU speed is measured
std::string | description
| additional description about the CPU speed
double | value
| the minimum CPU speed required

## Detailed Description

the MinCPUSpeed class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema. This class has been superseded as of version 2.3 by the class CPUSpeed (see OSGeneral.h)

Definition at line 416 of file OSOption.h.

## Constructor & Destructor Documentation

MinCPUSpeed::MinCPUSpeed | ( |  | ) |

Default constructor.

Definition at line 182 of file OSOption.cpp.

MinCPUSpeed::~MinCPUSpeed | ( |  | ) |

Class destructor.

Definition at line 192 of file OSOption.cpp.

## Member Function Documentation

bool MinCPUSpeed::IsEqual | ( | MinCPUSpeed * | that | ) |

A function to check for the equality of two objects.

Definition at line 8600 of file OSOption.cpp.

References description, isEqual(), unit, and value.

## Member Data Documentation

std::string MinCPUSpeed::unit

the unit in which CPU speed is measured

Definition at line 420 of file OSOption.h.

Referenced by IsEqual().

std::string MinCPUSpeed::description

additional description about the CPU speed

Definition at line 423 of file OSOption.h.

Referenced by IsEqual().

double MinCPUSpeed::value

the minimum CPU speed required

Definition at line 426 of file OSOption.h.

Referenced by IsEqual().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp